## dwww 1.1

=== Makefile ===
#
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile,v 1.1.1.1 1996/09/24 14:58:44 liw Exp $"
#

CC=gcc
CFLAGS=-Wall -O2
LDFLAGS=-s
LIBS=-lpub

prefix=/usr

bindir=$(prefix)/bin
sbindir=$(prefix)/sbin
libdir=$(prefix)/lib/dwww
varlibdir=$(prefix)/lib/dwww
docdir=$(prefix)/doc/dwww
etcdir=$(prefix)/etc
man1dir=$(prefix)/man/man1
man8dir=$(prefix)/man/man8
crondir=$(prefix)/etc/cron.daily
cgidir=$(prefix)/cgi-bin
spooldir=$(prefix)/dwww

htmldir=/home/httpd-data
# don't create $(htmldir)

lib=lib/[^C]*
varlib=
bin=realpath dwww
sbin=dwww-convert dwww-build dwww-cache dwww-find dwww-quickfind
doc=README
man1=realpath.1
man8=dwww-convert.8 dwww-build.8 dwww-cache.8 dwww.8
cron=dwww-daily

all: realpath dwww-cache dwww-quickfind

realpath: realpath.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)

dwww-cache: dwww-cache.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
	
dwww-quickfind: dwww-quickfind.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
	
clean:
	rm -f core realpath dwww-cache dwww-quickfind

install:
	for i in $(libdir) $(varlibdir) $(bindir) $(sbindir) $(docdir) \
		$(man1dir) $(man8dir) $(crondir) $(cgidir) $(spooldir); \
	do test -d $$i || install -d $$i; done
	install -m 0644 $(lib) $(libdir)
	chmod a+x $(libdir)/dwww.cgi
	rm -f $(cgidir)/dwww
	ln -s $(libdir)/dwww.cgi $(cgidir)/dwww
	rm -f $(htmldir)/dwww
	ln -s $(varlibdir) $(htmldir)/dwww
	install $(bin) $(bindir)
	install $(sbin) $(sbindir)
	install $(doc) $(docdir)
	install -m 0644 $(man1) $(man1dir)
	install -m 0644 $(man8) $(man8dir)
	install $(cron) $(crondir)/dwww
