=== debian/changelog ===
dwww (1.4.2-1) stable; urgency=high

  * Another CGI security bug that allowed execution of arbitrary
    commands.  I am now specifying a set of acceptable characters, rather
    than excluding certain ones and using perl -T.  Fixes bug #18107
    (Thanks to Martin Bialasinksi)
  * I know there are lots of other non-security bugs outstanding.  They will
    be fixed in an upcoming, more substantial release.
  * Compiled for libc5 for bo-updates.

 -- Jim Pick <jim@jimpick.com>  Wed, 11 Feb 1998 23:22:37 -0800

dwww (1.4.1-1.1) unstable; urgency=high
  
  * libc6 compile
  * non-maintainer release
  * changed filelist="/tmp/dwww-find.list.$$" in dwww-find to
    filelist="/var/lib/dwww/find.list.$$" (Fixes: Bug#11830)

 -- Joel Klecker <jk@espy.org>  Wed, 31 Dec 1997 12:13:36 -0800

dwww (1.4.1-1) frozen unstable; urgency=high

  * Fixed major security flaw: dwww.cgi would accept backquotes
    and '$' characters, then pass them on to bash.  This enables
    people to execute commands as the CGI user.  Particularily
    dangerous if someone configures their web server to run
    CGI programs as root. dwww.cgi was modified to convert all
    backquotes and dollar signs into underscores.
  * dwww.cgi: don't convert '+' characters into spaces - fixes
    bug #8563 (Thanks Lars Wirzenius and Joost Witteveen)
  * dwwwconfig: place quotes around DWWW_SERVERTYPE in 
    /etc/dwww/dwww.conf to cope with server names with space
    such as CERN httpd - fixes bug #8525
  * /etc/cron.daily/dwww: added line to cd to /var/spool/dwww
    to prevent error message that someone was having (not me)
    - fixed bug #8591

 -- Jim Pick <jim@jimpick.com>  Tue, 8 Apr 1997 12:00:21 -0700

dwww (1.4-1) unstable; urgency=low

  * Added emacs lines to changelog
  * dwww-convert: accepts HTML files that end in .htm  - previously 
    only .html was supported) 
    (Thanks to Susan G. Kleinmann)
  * dwww-convert: properly handles files that do not exist
  * dwww-convert: checks for a .html.gz file if a .html file does 
    not exist, and vice-versa  
    (Thanks to Brian C. White)
  * dwww-convert: modified perl code in script to do replacements
    over the entire HTML file instead of doing it line by line
  * added full path to dwww-cache in /etc/cron.daily/dwww
    (Thanks to Herbert Xu for reporting the bug, and Henrik
    Wallin for the fix) - fixes bug #7088
  * made fixes to dwww-find and dwww-doc-index to make dwww work
    with bash 2.0 - fixes bugs #7103, #7143 and #7156
    (Thanks to Szymon M. Rusinkiewicz and Joey Hess)
  * dwww-convert: fixed small bug which confused newlines with
    contents of href tags
  * dwww-convert: recognize when filename is a directories.  It it
    is, then check for index.htm* files, and display them as 
    standard files if found.  Removed code from
    builtin_dir2html() that would display index.htm* files.
  * dwww-convert: optimized builtin_dir2html() by using new
    feature of accessing directories using 'file' type.  Removed
    sed scripts.  Massive performance boost.  :-)
  * dwww-convert: fixed builtin_dir2html() to do file links to
    all types of *.htm* files when using DWWW_USEFILEURL
  * dwww-convert: added code to check for .htm, .html, .htm.gz,
    and .html.gz files when file not found.  Also, strip off
    HTML anchors.
  * Makefile, debian/rules: reworked directories, added 
    /var/lib/dwww/html.  Changed documentation files to be mode
    0644.  Removed sticky bit from /var/spool/dwww directory and
    removed /var/spool/dwww/.cache_db file.
  * dwww-doc-index: changed function names to be compatible with
    sh and bash - fixes bug #7267
    (Thanks Bill Wohler)
  * adminlinks.htm, docintro.html, search-docs.html: removed these
    incomplete .html files to ./lib/editorial directory
  * dwww-build, dwww.template: Make more lynx friendly -- build man 
    page indexes in separate directories.  Put search engine first.  
    Remove link to docintro.html (it's incomplete).  Add link to
    menu.html.
  * dwww, dwww-build, dwww.1, dwww.8, postinst:  Change location of
    main index page from http://localhost/dwww/dwww.html to 
    http://localhost/dwww/index.html.
  * dwww-build, html templates: modified so that there are new
    indexes to the man pages, and they are in separate directories
    (much like how Yahoo is set up).
  * dwww-build, dwww.8: Make title configurable.
  * Added Joost Witteveen's Debian Documentation Menu (Thanks!).
  * change location for /etc/dwww.conf to /etc/dwww/dwww.conf
  * control: added Recommends: menu (>= 0.11)
  * dwwwconfig, Makefile, rules: moved dwwwconfig from debian
    directory in source to main directory
  * added /var/www/dwww and /usr/lib/cgi-bin/dwww symlinks - to
    conform to web standard
  * removed INSTALL.Debian file and removed many items from to do
    list
  * dwww-build: modified it to create index files for wn web server

 -- Jim Pick <jim@jimpick.com>  Sat, 22 Mar 1997 17:12:55 -0800

dwww (1.3-1) unstable; urgency=low

  * Removed references to localhost in dwww.template
  * Replaced references to file://localhost with
    reference to '/cgi-bin/dwww?type=file\&location=/usr/doc'
  * modified dwww-doc-index so that it doesn't complain if
    /usr/local/doc doesn't exist
  * added Perl code to dwww-convert to make links in html
    files point to cgi-script
  * added MIME headers to dwww-convert and removed them
    from cgi-script
  * added DWWW_SERVERNAME, DWWW_CGIUSER, and DWWW_USEFILEURL
    options to /etc/dwww.conf.  Modified dwww.8 man page.
  * modified dwww script, and dwww-convert script to use
    DWWW_SERVERNAME instead of localhost
  * if DWWW_USEFILEURL is set, revert back to old behaviour
    of using file:// URL's for performance
  * modified dwww-build so that it doesn't complain about
    directories in the manpath that don't exist
  * modified dwww-daily (/etc/cron.daily/dwww) to use
    DWWW_CGIUSER when calling dwww-cache --clean

