=== debian/control ===
Source: dwww
Maintainer: Jim Pick <jim@jimpick.com>
Section: doc
Priority: optional
Standards-Version: 2.0.0.0

Package: dwww
Architecture: any
Depends: httpd, man
Recommends: info2www, menu (>= 0.11), ${shlibs:Depends}
Description: Read all on-line documentation via WWW
 dwww lets you read all install on-line documentation via a local
 WWW server. When possible, it converts the documentation to HTML.
 You need both a WWW server and a WWW browser.
