## dwww 1.4.3.4-0.2

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LDFLAGS=-s
 LIBS=-lpub
 
-prefix=/home/jim/work/debian/dwww/test
+prefix=debian/tmp
 
 bindir=$(prefix)/usr/bin
 sbindir=$(prefix)/usr/sbin
@@ -30,10 +30,11 @@
 lib=lib/[^Ce]*
 varlib=
 bin=realpath dwww
+cgi=dwww.cgi
 sbin=dwww-convert dwww-build dwww-cache dwww-find dwww-quickfind \
 	dwww-txt2html dwww-doc-index dwww-format-man dwwwconfig
 doc=README TODO
-man1=realpath.1
+man1=realpath.1 dwww.1
 man8=dwww-convert.8 dwww-build.8 dwww-cache.8 dwww.8
 cron=dwww-daily
 menumethods=menu-methods
@@ -66,11 +67,12 @@
 		test -d $$i || install -d $$i; \
 	done
 	install -m 0644 $(lib) $(libdir)
-	chmod a+x $(libdir)/dwww.cgi
+#	chmod a+x $(libdir)/dwww.cgi
 #	rm -f $(cgidir)/dwww
 #	ln -s $(libdir)/dwww.cgi $(cgidir)/dwww
-	ln -s ../../../usr/lib/dwww/dwww.cgi $(webcgidir)/dwww
-	ln -s ../../var/lib/dwww/html $(webdocrootdir)/dwww
+#	ln -s /usr/lib/dwww/dwww.cgi $(webcgidir)/dwww
+	install -m 0755 $(cgi) $(webcgidir)/dwww
+#	ln -s /var/lib/dwww/html $(webdocrootdir)/dwww
 	install $(bin) $(bindir)
 	install $(sbin) $(sbindir)
 	install -m 0644 $(doc) $(docdir)
