=== debian/changelog ===
dwww (1.4.3.4-0.2) frozen unstable; urgency=high

  * Remove reference to i386 and make it build on "any" again
  * Fix postrm to make purge really work this time.

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Thu, 25 Jun 1998 16:51:52 +0200

dwww (1.4.3.4-0.1) frozen unstable; urgency=high

  * Fix detection of wn webserver to make it work with newer version.  
    (Bug#23790)

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Tue, 23 Jun 1998 11:55:20 +0200

dwww (1.4.3.3-0.1) frozen unstable; urgency=high

  * Back out chowning group of /var/spool/dwww in /usr/sbin/dwwwconfig.
    (Bug#237716)

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Mon, 22 Jun 1998 09:29:40 +0200

dwww (1.4.3.2-0.1) frozen unstable; urgency=high

  * Fix use of /tmp for tempfiles in a lot of places: tempfiles are now 
    created in /var/spool/dwww.  Also fixed earlier "fix" that used 
    /var/lib/dwww for tempfiles.  This should fix the errors from various
    dwww-* tools that also caused cron.daily/dwww to send a daily complaint 
    mail to root.  (Bug#16212) 
  * Install the dwww cgi script in /usr/lib/cgi-bin instead of /usr/lib/dwww.  
    Changed dwwwconfig to create a copy instead of a symlink of the dwww cgi 
    script to the effective cgi-bin directory if it is in a non-standard 
    location.  (Bug#11584,22018,22153,22173,23439) 
  * Fix $ENV{PATH} in /usr/lib/dwww/dwww.cgi ; don't be so paranoid that 
    dwww's children can't find basic stuff like grep and awk anymore.  
    (Bug#16506,19045)
  * The "_" character is not a real security hazard. But it is used in a 
    surprisingly high number of documentation filenames. 
    (Bug#18203,18356,22229,23440)
  * Actually install dwww.1 manpage.  (Bug#9366,9369,9817)
  * Remove old backup file dwww.cgi~ from the source
  * Fixed the following reported lintian errors & warnings: 
     - binaries w/o manpages (linked to undocumented.7.gz);  (Bug#8327)
     - don't compress copyright file; 
     - do compress manpages;  (Bug#15706)
     - made symlinks to cgidir and webroot absolute. 
    This should leave only the warning about the standards version, which 
    is a good reminder to really audit dwww sometime soon. (Bug#6356)
  * No need to use the anti-social bashist "function" keyword in a /bin/sh 
    script. ;-) (Bug#23624,10713)
  * Added descriptions for manpages in section 3thr (Bug#8875) and section 1db. 
  * Added postrm script that can purge /etc/dwww/dwww.conf.  (Bug#18110)
  * Added perl to the Depends: because dwwwconfig uses Getopts::Long which 
    is only available in perl.  (Bug#9101)
  * Added Suggests: lynx.  (Bug#23546)
  * Upped the upstreams version number. 

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Thu, 18 Jun 1998 9:25:58 +0200 

dwww (1.4.3-1) unstable; urgency=high

  * Another CGI security bug that allowed execution of arbitrary
    commands.  I am now specifying a set of acceptable characters, rather
    than excluding certain ones and using perl -T.  Fixes bug #18107
    (Thanks to Martin Bialasinksi)
  * I know there are lots of other non-security bugs outstanding.  They will
    be fixed in an upcoming, more substantial release.
  * libc6 version.

 -- Jim Pick <jim@jimpick.com>  Thu, 12 Feb 1998 00:51:17 -0800
