=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 
 Package: dwww
 Architecture: any
-Depends: httpd, man
-Recommends: info2www, menu (>= 0.11), ${shlibs:Depends}
+Depends: httpd, man, perl, ${shlibs:Depends}
+Recommends: info2www, menu (>= 0.11)
+Suggests: lynx
 Description: Read all on-line documentation via WWW
  dwww lets you read all install on-line documentation via a local
  WWW server. When possible, it converts the documentation to HTML.
