## dwww 1.4.3.5-1.9

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,11 @@
 libdir=$(prefix)/usr/lib/dwww
 varlibdir=$(prefix)/var/lib/dwww
 htmldir=$(prefix)/var/lib/dwww/html
-docdir=$(prefix)/usr/doc/dwww
+docdir=$(prefix)/usr/share/doc/dwww
 etcdir=$(prefix)/etc
 etcdwwwdir=$(prefix)/etc/dwww
-man1dir=$(prefix)/usr/man/man1
-man8dir=$(prefix)/usr/man/man8
+man1dir=$(prefix)/usr/share/man/man1
+man8dir=$(prefix)/usr/share/man/man8
 crondir=$(prefix)/etc/cron.daily
 #cgidir=$(prefix)/cgi-bin
 spooldir=$(prefix)/var/spool/dwww
@@ -27,7 +27,7 @@
 webdocrootdir=$(prefix)/var/www
 webcgidir=$(prefix)/usr/lib/cgi-bin
 
-lib=lib/[^Ce]*
+lib=lib/[!Ce]*
 varlib=
 bin=realpath dwww
 cgi=dwww.cgi
