=== debian/changelog ===
dwww (1.4.3.5-1.9) frozen unstable; urgency=medium

  * Non-maintainer upload on behalf of Jean-Philippe Guerard
    <jean-philippe.guerard@mail.dotcom.fr>.
  * Really solve the relative link bug in html documents.
    dwww-convert now take into account links starting with
    "#" that are references to the current document.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 14 May 2000 14:15:05 +0200

dwww (1.4.3.5-1.8) frozen unstable; urgency=medium

  * Non maintainer upload.
  * Updated the search pattern to include files in /usr/share/doc/.
    (Closes: #62726)
  * Empty arguments for dwww-build are now equivalent to --default.
    (Closes: #62596)
  * If the file is a link, overall file type is found by looking
    at the file, not at the file link. (Closes: #62394, #30058)
  * dwww now points only to /usr/doc, but lists also symlinks to
    /usr/share/doc. (Closes: #62158, #50260, #49664)
  * Rephrased the document root selection dialog. (Closes: #59185)
  * Updated dpkg-build to accept dates containing "/" characters.
    Patch by Mike Charlton. (Closes: #51177, #60664)
  * Added support for method HEAD in dwww.cgi.
    Patch by Jon Nelson. (Closes: #17478)
  * These bugs seem to be already fixed !
    (Closes: #48892, #49060, #49132, #49336, #10756, #37250, #42979)
    (Closes: #45151, #53424, #38317, #37856, #34855, #9338) 

 -- Jean-Philippe Guerard <jean-philippe.guerard@mail.dotcom.fr>  Mon,  8 May 2000 21:26:54 +0000

dwww (1.4.3.5-1.7) frozen unstable; urgency=medium

  * Non maintainer upload. I think dwww should be considered orphaned.
  * Fixed browsing of directories. Support both /usr/doc and
    /usr/share/doc. More consistent "type" handling in dwww-convert.
    Patch by Jean-Philippe Gurard. (Fixes: #55858, #57791)
  * Added /usr/share/info and /usr/local/info to dwww-convert's DWWW_DOCPATH.
  * Have both /usr/doc and /usr/share/doc in the top file.
  * Install postrm.
  * FHS migration. (Fixes: #48885)
  * Updated Standards-Version and made it lintian-clean.
  * Cleaned up the source archive.
  * Fixed HTML files and added DOCTYPE; they now validate using nsgmls.
  * Updated locations in copyright file.
  * Remove /etc/dwww/dwww.conf on purge. (Fixes: #37621)
  * Some bug reports are no longer applicable/reproducable. 
    (Fixes: #10449, #34398, #25477, #26492, #32556, #32032, #34447, #36701, #46697)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  5 Mar 2000 15:45:34 +0100

dwww (1.4.3.5-1.6) frozen unstable; urgency=low

  * Non maintainer upload.
  * Corrected MIME type returned for converted manual pages using Roland
    Rosenfeld's patch. (Fixes: #53355, #54220, #58021)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 23 Feb 2000 20:23:12 +0100

dwww (1.4.3.5-1.4) unstable; urgency=low

  * Non maintainer upload.
  * [dwww-convert] Determine file types using file + magic2mime rather than
    guessing on the basis of a filename extension. (introduces dependency on
    file). Handle compression of non-HTML files.
  * [dwww-convert] Handle more types of links:
    * LINK HREF, so style-sheets like in wdg-html-reference's
      "html40/index.html" works.
    * BODY BACKGROUND. (Closes: #8940)
  * Fixed links to "undocumented" manpage. (Closes: #51045)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  4 Dec 1999 11:51:32 +0100

dwww (1.4.3.5-1.3) unstable; urgency=low

  * Non maintainer upload.
  * [debian/rules] Added removal of debian/files to clean target 
    (closes: #49072).

 -- Torsten Landschoff <torsten@debian.org>  Mon,  8 Nov 1999 19:33:23 +0100

dwww (1.4.3.5-1.2) unstable; urgency=low

  * Fixing small thinko, really closing #43094

 -- Martin Bialasinski <martinb@debian.org>  Tue,  2 Nov 1999 21:47:28 +0100

dwww (1.4.3.5-1.1) unstable; urgency=low

  * NMU.
  * Recompiled against fixed publib-dev; fixes dwww-txt2html crashes.
    (Closes: #38821, #45092, #45375).
  * [dwwwconfig] Fixed chown call to protect against whole system chown in
    case of pilot error. (Closes: #43094).
  * [dwww-find] use /bin/sh rather than bash. (Closes: #19054).
  * [dwww.cgi] Fixed filename match regexp as per Mark Summerfield's
    suggestion. Makes dwww deal with perl module manpages properly. 
    (Closes: #26794, #34015, #34456, #35788, #41106)
  * [Makefile] Use '!' as negator in character-class glob to remove '^'
    bashism. (Closes: #47469)
  * Applied AMAZING CURE 4 HAIR LOSS to README and make it go boldly.
    (Closes: #34432)
  * Put in a note in the README to point to doc-base as the uniform
    documentation registration system. 
  * My older NMU has been acknowledged implictly. (Closes: #37378)
  * The cron job cds to a known-good directory since 1.4.1-1 (Closes: #10042)
  * The cron job does not seem to call update-menus anymore. (Closes: #29502)
  * Call update-menus in postinst and postrm (Lintian).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 30 Oct 1999 15:57:54 +0200

dwww (1.4.3.5-1) unstable; urgency=low

  * Change dependency to perl5.

 -- Jim Pick <jim@jimpick.com>  Mon,  5 Jul 1999 21:36:14 -0700

dwww (1.4.3.4-0.3) unstable; urgency=low

  * Use new-style menu-methods file (from menu's examples), as menu's
    handling of old-style menu-methods is currently broken (#37379).
    Fixes #37378.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 24 May 1999 12:18:56 +0200
