=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dwww
-Maintainer: Jim Pick <jim@jimpick.com>
 Section: doc
 Priority: optional
-Standards-Version: 2.0.0.0
+Maintainer: Jim Pick <jim@jimpick.com>
+Standards-Version: 3.1.1.1
 
 Package: dwww
 Architecture: any
-Depends: httpd, man, perl, ${shlibs:Depends}
+Depends: httpd, man, perl5, file, ${shlibs:Depends}
 Recommends: info2www, menu (>= 0.11)
 Suggests: lynx
 Description: Read all on-line documentation via WWW
