=== debian/rules ===
#!/usr/bin/make -f

package=dwww

build:
	$(MAKE) CFLAGS="-Wall -O2" LDFLAGS=-s

binary: binary-arch binary-indep

binary-arch: checkroot build
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install debian/postinst debian/prerm debian/postrm debian/tmp/DEBIAN
#	install -d debian/tmp/usr/doc/$(package)
#	install -d debian/tmp/usr/sbin
	$(MAKE) prefix=debian/tmp install
#	rm -rf debian/tmp/foo
#	install debian/dwwwconfig debian/tmp/usr/sbin/dwwwconfig
	cp lib/editorial/*.html debian/tmp/usr/lib/dwww/
	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	cp README debian/tmp/usr/share/doc/$(package)/README
	gzip -9v debian/tmp/usr/share/doc/$(package)/*
	cp debian/copyright debian/tmp/usr/share/doc/$(package)/.
	gzip -9v debian/tmp/usr/share/man/man1/*
	gzip -9v debian/tmp/usr/share/man/man8/*
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwww-doc-index.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwww-find.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwww-format-man.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwww-quickfind.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwww-txt2html.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwwwconfig.8.gz
#	touch debian/tmp/var/spool/dwww/.cache_db
	dpkg-shlibdeps dwww-cache dwww-quickfind realpath
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R o-s,go=u,go-ws debian/tmp
#	chmod a=rwx,o+t debian/tmp/var/spool/dwww
#	chmod a=rw debian/tmp/var/spool/dwww/.cache_db
#	chown www-data. debian/tmp/var/spool/dwww/.cache_db
#	chown www-data.www-data debian/tmp/var/spool/dwww
	dpkg --build debian/tmp ..

binary-indep:

clean:
	$(MAKE) clean
	rm -rf debian/tmp debian/files

checkroot:
	test root = "`whoami`"
