=== debian/changelog ===
dwww (1.7.6.woody.1) woody-proposed-updates; urgency=low

  * Upload to woody, no changes in source.
    The current dwww version in woody is 1.7.4, but I'd like to see 1.7.6
    there: it has fixed a few of bugs and no new bug has been reported
    for 6 weeks. So it really is worth including in woody, I think.

 -- Robert Luberda <robert@debian.org>  Mon, 24 Jun 2002 23:23:25 +0200

dwww (1.7.6) unstable; urgency=low

  * dwww-quickfind.c: don't allow package names to contain spaces or commas
    (closes: #146116).
  * dwww-find: show info for all packages returned by dwww-quickfind, not only
    the first one.
  * dwww-find, dwww-build: signal handling with `trap' command.

 -- Robert Luberda <robert@debian.org>  Wed,  8 May 2002 08:47:22 +0200

dwww (1.7.5) unstable; urgency=medium

  * dwww-find: removed bashism (closes: #144253).
  * dwww.cgi: Allow `[' character (closes: #142019).
  * dwww(1) now uses DWWW_BROWSER or DWWW_X11_BROWSER, if defined in
    /etc/dwww/dwww.conf, to load the dwww page. Also if the variables are not
    defined, we prefer mozilla over netscape (closes: #143850, #130500).
  * Minor fixes in html templates.

 -- Robert Luberda <robert@debian.org>  Thu, 25 Apr 2002 08:58:12 +0200

dwww (1.7.4) unstable; urgency=low

  * dwww-find:
    + call tmpfile to create temporary files insted of putting them in 
      /var/cache/dwww.
    + it now can display packages' description (using apt-cache for that).
    + to speedup use dlocate, if found.
  * debian/control: recommend dlocate and apt.
  * Modified and cleaned up templates, esp. changed foot of generated pages.
  * dwww-convert:
    + generate Content-Disposition header.
    + readed support for type=info; new builtin_info2html just calls info2www.
  * dwww-daily, dwww-format-man: call su with option -s to override
    user www-data's shell (closes: #141459).
  * Closing old bugs, which seem to have been already fixed:
    closes: #36088, #15767.

 -- Robert Luberda <robert@debian.org>  Sun,  7 Apr 2002 19:41:25 +0200

dwww (1.7.3) unstable; urgency=low

  * dwww-txt2html.c: it now supports references divided into two lines,
    when converting manpages.

  * Added Spanish translation of template file (closes: #136482).
    Thanks to Carlos Valdivia Yage <valyag@hotpop.com>.
  * Added French translation of template file (closes: #137055).
    Thanks to Philippe Batailler <pbatailler@teaser.fr>.

  * debian/control: dwww recommends doc-base.
  * dwww-daily: added `set -e'.
  * realpath -s does not check if file exists.

  * Modified maintainer scripts (dwww.config, dwww.postinst, dwww.preinst)
    to better handle upgrading from potato (dwww version 1.4.3.5-1.9):
    + read settings from dwww.conf and don't ask about them (closes: #103329).
    + remove /etc/*/dwww files unless modified.

  * dwww(8) updated and reformated:
    + described missing configuration variables.
    + added information how to configure dwww to use man2html to convert
      manapges (closes: #61802).
    + added dwww.conf(5) as symlink to dwww(8).

 -- Robert Luberda <robert@debian.org>  Tue, 19 Mar 2002 08:07:04 +0100

dwww (1.7.2) unstable; urgency=low

  * It seeems the boa webserver sets strange umask (0177) and closes stderr
    for spawned cgi programs. Because of that, dwww-cache had wroten its error
    messages to .cache_db and than segfaulted on such broken database file.
    To fix the problem (closes: #134382):
    + functions.sh: added dwww_initialize function, which i.a. sets default
      umask 022 for all dwww scripts.
    + added utils.c with dwww_initialize, which sets umask and reopens stdin,
      stdout and stderr.
    + dwww-cache.c: s/sprintf/snprintf/ almost all.
 
  * dwww-convert:
    + builtin_html2html no longer uses DWWW_SERVERNAME when converting
      anchors. Now it outputs anchors like "/cgi-bin/dwww....", not 
      "http://$DWWW_SERVERNAME/cgi-bin/dwww..." (closes: #112843).
    + it also converts <APPLET ARCHIVE=""> links.
    + correctly handles case when type=dir and location=/path/to/not/dir.

  * dwww-quickfind rewroten, now it stores informations about packages,
    not only programs (closes: #132000). 
    + removed an item from TODO, updated dwww(1) manpage.

  * dwww.template: rewroten by William Clifford <wobh@yahoo.com>, so it now
    uses CSS and validates with w3's html validator.
    Thanks, William!

  * cron.daily/dwww: set maxdepth in find expression to 2, so now cache dir
    will get cleaned.

 -- Robert Luberda <robert@debian.org>  Fri, 22 Feb 2002 08:47:54 +0100

dwww (1.7.1) unstable; urgency=low

  * dwww-txt2html partially rewroten to adds anchors for more types of URIs:
    + http and ftp sites (e.g. ftp.somewhere.com)
    + mail addresses (foo@bar.com)
    + documentation references in /usr{/|/share|/local}/{doc|man} dirs
    + closes: #bug_no statetments
  * Option --man is ignored, dwww-txt2html converts manual page references in
    all documents.

  * Cache also text/plain documents.
  * Added new file /usr/share/dwww/functions.sh with common functions.

  * Do better output formatting using <TABLE> tags in dwww-find and function
    builtin_dir2html from dwww-convert.
  * dwww-convert:builtin_man2html now displays manpages which contains '.so'
    requests like lastb(1).
  * dwww-convert: added /usr/share/common-licenses/ to DWWW_DOCPATH.

  * dwww.cgi, dwww-convert: handle filenames with spaces like "Readme
    Win32.txt" in /usr/share/doc/overkill.

  * Ups, dwww-format-man got broken in 1.7.0 :(. Now is OK, I think.
  * Updated dwww-txt2html(8) and some other manpages.
  * Removed items about packaging style from TODO file.

 -- Robert Luberda <robert@debian.org>  Tue, 29 Jan 2002 21:15:21 +0100

dwww (1.7.0) unstable; urgency=low

  * Cache improvements (closes: #113529, #128263):
    + when a document is stored in the cache, set its mtime to mtime of
      original file.
    + create lock on cache database with flock.

