=== debian/control ===
Source: dwww
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 3.0.10), publib-dev
Standards-Version: 3.5.6

Package: dwww
Architecture: any
Section: doc
Depends: apache | httpd, man-db, file, ${perl:Depends}, ${shlibs:Depends}, menu (>= 2.1.5), debconf (>= 0.9.41), mawk | awk, realpath (>= ${Source-Version})
Recommends: doc-base, info2www, dlocate (>= 0.5-0.1), apt
Suggests: links | www-browser, doc-debian
Description: Read all on-line documentation via WWW
 dwww lets you read all install on-line documentation via a local
 WWW server. When possible, it converts the documentation to HTML.
 You need both a WWW server and a WWW browser.

Package: realpath
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Replaces: dwww (<= 1.6.10)
Description: Return the canonicalized absolute pathname
 The package contains a small utility realpath, which converts each
 pathname argument to an absolute pathname, which has no components
 that are symbolic links or the special .  or ..  directory.
