## dwww 1.9.12

=== debian/changelog ===
dwww (1.9.12) unstable; urgency=medium

  * `realpath -s' works with relative pathnames again (closes: #253494).

 -- Robert Luberda <robert@debian.org>  Mon, 14 Jun 2004 23:43:59 +0200

dwww (1.9.11) unstable; urgency=low

  * Correct `realpath -s' which incorrectly treated all files containing
    `.' or `..' as if they were the `.' or `..' directories (closes: #250455).
    Thanks to mwright@acad.stedwards.edu for noticing this.
  * Add source lintian overrides file for `cvsignore-file-in-source'.

 -- Robert Luberda <robert@debian.org>  Mon, 24 May 2004 21:36:30 +0200

dwww (1.9.10) unstable; urgency=low

  * Add Dutch translation of debconf templates (closes: #245267)
    Thanks to Luk Claes <luk.claes@ugent.be>.
  * dwww.menu-method: set repeat_lang=""; to be consistent with doc-base
    which do not support translations.

 -- Robert Luberda <robert@debian.org>  Fri, 30 Apr 2004 00:37:24 +0200

dwww (1.9.9) unstable; urgency=low

  * cron.daily: recreate /var/cache/dwww if needed (closes: #241920).
  * dwww-txt2html.c: stricter checking of mail addresses (closes: #243088).

 -- Robert Luberda <robert@debian.org>  Sun, 18 Apr 2004 18:03:51 +0200

dwww (1.9.8) unstable; urgency=low

  * Add Japanese translation of debconf templates (closes: #236983).
    Thanks to OHURA Makoto <ohura@debian.org>.
  * Run debconf-updatepo.
  * dwww-quickfind.c: parse package list separated with commas.

 -- Robert Luberda <robert@debian.org>  Sat, 27 Mar 2004 11:16:02 +0100

dwww (1.9.7) unstable; urgency=low

  * dwww-find improve searching for menu items:
    + make search results independent of search words order (closes: #225050)
    + quote perl regexp characters, so e.g searching for `..' does not return
      all menu entries.
  * debian/control: mention `readlink -f' in the realpath package's
    description (closes: #212119).
  * Minor improvements in the realpath(1) man page.

 -- Robert Luberda <robert@debian.org>  Sat, 24 Jan 2004 12:02:43 +0100

dwww (1.9.6) unstable; urgency=low

  * dwww-build rewritten in Perl:
    + supports strange characters in man pages names.
    + combine "man by section index" and "man by name index" pages into
      one page, as suggested in #49353
    + change structure of http://localhost/dwww/man/ directory

  * Updated dwww templates.
  * Fixed typos in dwww-find(8) and dwww-index++(8) man pages.
  * Updated a Brazilian Portuguese debconf template translation.
    Thanks to Andre Luis Lopes <andrelop@ig.com.br>. (Closes: #207966).
  * Standards-Versions: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu, 11 Sep 2003 19:47:48 +0200

dwww (1.9.5) unstable; urgency=medium

  * dwww-build: limit characters, which can be used in man pages' paths,
    to alphanumerics and few other known characters. Now we just ignore
    broken man pages with a quotation mark in section name (closes: #204903).
  * dwww.config: Removed a bogus `print "$p\n"' from mkdir_p procedure.
    It confused debconf and caused strange errors in some cases.
    (closes: #189378)
  * Description improvements (closes: #206039).

 -- Robert Luberda <robert@debian.org>  Wed, 20 Aug 2003 08:22:14 +0200

dwww (1.9.4) unstable; urgency=low

  * dwww: use sensible-browser to load URLs (closes: #201101).
    + updated dwww(1) man page.
    + added dependency on debianutils (>=2.5) for sensible-browser.

  * dwww-convert:
    + when converting html files, do not set charset in HTTP header.
      Proper charset should be set in the html file itself using
      appropriate META tag (closes: #202710).
    + set charset of changelog.Debian.gz files to UTF-8.

  * Minor fixes in dwww-build and dwww's templates.
  * Recode this changelog to UTF-8.
  * Standards-Version: 3.6.0.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Jul 2003 18:16:36 +0200

dwww (1.9.3) unstable; urgency=low

  * dwww-build-menu: don't complain about directories that don't need
    to exist (closes: #190362).
  * DocBase.pm: strip trailing whitespace while parsing doc-base files
    (closes: #193449).
  * dwww.menu-method: replace `$' with `-' in generated file names.
  * dwww-convert: it seems magic2mime command was removed from current file
    package, use `file -i' to find out mime types of files.
  * Minor fixes in html templates.

 -- Robert Luberda <robert@debian.org>  Mon, 19 May 2003 07:04:56 +0200

dwww (1.9.2) unstable; urgency=low

  * dwww-find:
    + packages' info files wasn't shown; fix regexp I broke in 1.9.0.
    + if dpkg-www is installed, add links to packages' pages created
      by its CGI script.
  * debian/control: suggests dpkg-www package.
  * debian/dwww.config: create /usr/lib/cgi-bin and /var/www if they
    don't exist (closes: #188267).
  * dwww needs CGI-capable web server, it won't work with e.g. dhttpd.
    Add this information to both README and description of dwww package.
    This addresses #186395, but doesn't fix it.
  * various files: fix spelling typos found with ispell.

 -- Robert Luberda <robert@debian.org>  Fri, 11 Apr 2003 00:28:14 +0200

dwww (1.9.1) unstable; urgency=low

  * Update French translation of debconf templates (closes: #186166).
    Thanks to  Denis Barbier <barbier@debian.org>.
  * Update German translation of templates from DDTP page.
  * Minor fixes in dwww-build-menu, dwww-convert and html templates.

 -- Robert Luberda <robert@debian.org>  Thu,  3 Apr 2003 22:58:43 +0200

dwww (1.9.0) unstable; urgency=low

  * Added new command dwww-build-menu, which creates `Debian Documentation
    Menu' page by parsing /usr/share/doc-base/* files.
    This give us better control on the content and look of the generated page
    (closes: #110354, #180603, #60483).
  * dwww.menu-method was changed to generate doc-base-like files in
    /var/lib/dwww/menu-methods for backward compatibility and to call
    call dwww-build-menu.
  * cron.daily:
    + call dwww-build-menu
    + code cleaning.

  * Added new dwww-index++, which parses doc-base files and generates index

