=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,6 @@
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -33,11 +30,13 @@
 	#-$(MAKE) distclean
 
 	dh_clean
+
 install: DH_OPTIONS=
 install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+
 	dh_installdirs -p dwww		-Pdebian/tmp
 	dh_installdirs -p realpath 	-Pdebian/tmp
 	dh_installdirs -p dwww 		-Pdebian/dwww
@@ -49,9 +48,8 @@
 	install -p -m 0644 debian/dwww.lintian \
                         $(CURDIR)/debian/tmp/usr/share/lintian/overrides/dwww
 
-	dh_movefiles -p realpath
-	dh_movefiles -p dwww
-
+	dh_install --sourcedir=debian/tmp -p realpath
+	dh_install --sourcedir=debian/tmp -p dwww -X'realpath*'
 
 # This single target is used to build all the packages, all at once, or
 # one at a time. So keep in mind: any options passed to commands here will
@@ -60,10 +58,11 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installdebconf
+	dh_installchangelogs
 	dh_installdocs
 #	dh_installexamples
 	dh_installmenu
+	dh_installdebconf
 #	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam
@@ -73,7 +72,6 @@
 	dh_installcron
 #	dh_installinfo
 #	dh_undocumented
-	dh_installchangelogs
 	dh_strip
 	dh_link
 	dh_compress
